Debian Bug report logs - #319817
RM: openmosix -- RoQA; Outdated and buggy

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Micah Anderson <micah@riseup.net>

Date: Mon, 25 Jul 2005 00:33:07 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#319817; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Micah Anderson <micah@riseup.net>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Micah Anderson <micah@riseup.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ftp.debian.org: Please remove openmosix and kernel-patch-openmosix
Date: Sun, 24 Jul 2005 19:18:05 -0500
Package: ftp.debian.org
Severity: normal

As discussed on the debian-qa list[1], please remove the openmosix and
kernel-patch-openmosix packages from the archive.

The openmosix package has a serious FTBS (#232810) for 1 year and 159
days old as of this writing. The maintainer's response is,
"Unfortunately I don't tend to use OpenMosix any more...If someone's
interested in OpenMosix for 2.4 and want to see it in sarge I'd
encourage them to hijack the package or contact me about getting the
issues fixed...". The package has other important bugs that are
trivial to fix (#230460) and are nearly two years old.

The kernel-patch-openmosix has a known security bug (#319621), and no
fix is pending (the maintainer said on IRC that the latest patch was
for 2.4.26 and that there are most likely many problems with this
patch, and that you "just can't get worked up over problems in 2+ year
old software".) The kernel-patch-openmosix has a wishlist bug
(#264290) for over a year asking to upgrade and it includes a patch in
the bug report.

When the maintainer made it clear that he did not care to maintain the
packages any longer, I suggested that he do the nice thing and RFA
them. He's unhelpful retort was that anyone can RFA them, suggesting
that I do so instead of bothering him to take care of his package
appropriately.

The Openmosix packages were not allowed into Sarge because of the
horrible state that they are in, and in my opinion the packages do not
provide any added value to the archive, but instead are a blight. 


1. http://lists.debian.org/debian-qa/2005/07/msg00168.html

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (300, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-2-k7
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#319817; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 319817@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Micah Anderson <micah@riseup.net>, 319817@bugs.debian.org
Cc: Stephen Frost <sfrost@debian.org>, Debian Bugs Control Bot <control@bugs.debian.org>
Subject: Re: ftp.debian.org: Please remove openmosix and kernel-patch-openmosix
Date: Fri, 29 Jul 2005 16:44:21 +0200
retitle 319817 RM: openmosix -- RoQA; Outdated and buggy
tags 319817 moreinfo
thanks

Stephen,

Can you please comment on the below?

Micah, it's appreciated when making such type of requests to
X-Debbugs-Cc the maintainer in question.

Thanks,
--Jeroen

On Sun, Jul 24, 2005 at 07:18:05PM -0500, Micah Anderson wrote:
> As discussed on the debian-qa list[1], please remove the openmosix and
> kernel-patch-openmosix packages from the archive.
> 
> The openmosix package has a serious FTBS (#232810) for 1 year and 159
> days old as of this writing. The maintainer's response is,
> "Unfortunately I don't tend to use OpenMosix any more...If someone's
> interested in OpenMosix for 2.4 and want to see it in sarge I'd
> encourage them to hijack the package or contact me about getting the
> issues fixed...". The package has other important bugs that are
> trivial to fix (#230460) and are nearly two years old.
> 
> The kernel-patch-openmosix has a known security bug (#319621), and no
> fix is pending (the maintainer said on IRC that the latest patch was
> for 2.4.26 and that there are most likely many problems with this
> patch, and that you "just can't get worked up over problems in 2+ year
> old software".) The kernel-patch-openmosix has a wishlist bug
> (#264290) for over a year asking to upgrade and it includes a patch in
> the bug report.
> 
> When the maintainer made it clear that he did not care to maintain the
> packages any longer, I suggested that he do the nice thing and RFA
> them. He's unhelpful retort was that anyone can RFA them, suggesting
> that I do so instead of bothering him to take care of his package
> appropriately.
> 
> The Openmosix packages were not allowed into Sarge because of the
> horrible state that they are in, and in my opinion the packages do not
> provide any added value to the archive, but instead are a blight. 
> 
> 
> 1. http://lists.debian.org/debian-qa/2005/07/msg00168.html

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#319817; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Stephen Frost <sfrost@snowman.net>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #15 received at 319817@bugs.debian.org (full text, mbox):

From: Stephen Frost <sfrost@snowman.net>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: Micah Anderson <micah@riseup.net>, 319817@bugs.debian.org
Subject: Re: ftp.debian.org: Please remove openmosix and kernel-patch-openmosix
Date: Fri, 29 Jul 2005 10:53:17 -0400
[Message part 1 (text/plain, inline)]
* Jeroen van Wolffelaar (jeroen@wolffelaar.nl) wrote:
> Can you please comment on the below?

The OpenMosix packages were intentionally kept out of sarge because
upstream's not terribly interested in the 2.4 patches and they're
working on a 2.6 version.  The 2.6 version is expected to be somewhat
better in a number of regards, and is available in an alpha-state
currently.  The kernel patch itself might actually be workable enough
for unstable but I'm afraid the userspace is pretty much missing still
and some things have been moved to userspace that are reasonably
important (such as load balancing across the cluster).

I'd rather it not be removed from unstable (the only thing it's in,
after all), but mainly because I'd rather not have to go through the NEW
queue again when I feel the 2.6 patches/userspace are suitable to 
package for unstable.

I suppose if Micah just can't stand it I could package and upload the
2.6 stuff soon, but I'd rather wait till it's a bit more
developed/stable.

> Micah, it's appreciated when making such type of requests to
> X-Debbugs-Cc the maintainer in question.

Aww, but then I'd get to comment on it and I might ruin his little
vendetta/pity party.

	Thanks,

		Stephen
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#319817; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #24 received at 319817@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Stephen Frost <sfrost@snowman.net>, 319817@bugs.debian.org
Cc: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, Micah Anderson <micah@riseup.net>
Subject: Re: Bug#319817: ftp.debian.org: Please remove openmosix and kernel-patch-openmosix
Date: Fri, 29 Jul 2005 19:48:51 +0200
On Fri, Jul 29, 2005 at 10:53:17AM -0400, Stephen Frost wrote:
> * Jeroen van Wolffelaar (jeroen@wolffelaar.nl) wrote:
> > Can you please comment on the below?
> 
> The OpenMosix packages were intentionally kept out of sarge because
> upstream's not terribly interested in the 2.4 patches and they're
> working on a 2.6 version.  The 2.6 version is expected to be somewhat
> better in a number of regards, and is available in an alpha-state
> currently.  The kernel patch itself might actually be workable enough
> for unstable but I'm afraid the userspace is pretty much missing still
> and some things have been moved to userspace that are reasonably
> important (such as load balancing across the cluster).

Ah, I see.
 
> I'd rather it not be removed from unstable (the only thing it's in,
> after all), but mainly because I'd rather not have to go through the NEW
> queue again when I feel the 2.6 patches/userspace are suitable to 
> package for unstable.

Well, NEW processing nowadays really isn't a problem, and only takes a
minor amount of time (max a few weeks, typically a lot faster). Besides
you're probably going to need NEW anyway, for 2.6 reasons (or maybe not,
but regardless).

I think it's better to match reality and to actually drop the package
until it's ready to be reintroduced, especially since it might take a
bit until it's ready for use again. As long as this package remains in
unstable, people will notice it and try to install it.
 
> I suppose if Micah just can't stand it I could package and upload the
> 2.6 stuff soon, but I'd rather wait till it's a bit more
> developed/stable.

Well, having alpha-level software in unstable is costing a bit of QA &
release time, and we *are* trying to cut down on 'not ready for any
stable release at this moment' software.
 
> > Micah, it's appreciated when making such type of requests to
> > X-Debbugs-Cc the maintainer in question.
> 
> Aww, but then I'd get to comment on it and I might ruin his little
> vendetta/pity party.

No need for hard feelings here, we're all working together on the same
OS.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#319817; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Micah <micah@riseup.net>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #29 received at 319817@bugs.debian.org (full text, mbox):

From: Micah <micah@riseup.net>
To: Stephen Frost <sfrost@snowman.net>
Cc: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, 319817@bugs.debian.org
Subject: Re: ftp.debian.org: Please remove openmosix and kernel-patch-openmosix
Date: Fri, 29 Jul 2005 15:48:27 -0500
Stephen Frost wrote:
> * Jeroen van Wolffelaar (jeroen@wolffelaar.nl) wrote:
> 
> The kernel patch itself might actually be workable enough
> for unstable but I'm afraid the userspace is pretty much missing still
> and some things have been moved to userspace that are reasonably
> important (such as load balancing across the cluster).
> 
> I'd rather it not be removed from unstable (the only thing it's in,
> after all), but mainly because I'd rather not have to go through the NEW
> queue again when I feel the 2.6 patches/userspace are suitable to 
> package for unstable.

Sounds like this should be in experimental instead.

> I suppose if Micah just can't stand it I could package and upload the
> 2.6 stuff soon, but I'd rather wait till it's a bit more
> developed/stable.

I'm not sure if uploading something that is *more* alpha is the right 
way to go.

I'm not sure what you mean by "if Micah just can't stand it", but I'm 
detecting some hostility and provocation. I meant no hostility at all in 
submitting this, I am sorry if it came across that way, and I apologize 
if you felt I was acting that way, I must have not communicated 
affectively.

I only reported this bug after doing secure-testing work, finding the 
security problem in the package, speaking to you about it following 
through on the conversation by asking debian-QA their thoughts. You made 
it clear that you weren't interested in maintaining the package and 
didn't see the need to even file for its removal or adoption and even 
suggested that I do so myself, indeed my interpretation was that you 
felt that anyone other than you should do it since you couldn't be bothered.

This isn't about what I can or can't stand, its about what Debian users 
can stand and what QA can stand. It seemed the right thing to do after 
your comments, the debian-QA approval, and the security problem. I'm 
sorry if doing so has caused you consternation, I was sincerely not 
trying to do so.

>>Micah, it's appreciated when making such type of requests to
>>X-Debbugs-Cc the maintainer in question.
> 
> 
> Aww, but then I'd get to comment on it and I might ruin his little
> vendetta/pity party.

Your implication that I avoided adding that tag on purpose in order to 
sneak around your comments is an interesting accusation, and I'm sorry 
if anything I've said has caused you to assume that I have dont this out 
of a "vendetta/pity party" (not sure what that means), but I can tell 
you truthfully that it was not done to subvert your comments, it was 
simply not appended out of my own ignorance that it existed.

micah



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#319817; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #34 received at 319817@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 319817@bugs.debian.org
Cc: sfrost@debian.org, control@bugs.debian.org
Subject: openmosix
Date: Fri, 2 Dec 2005 01:11:27 -0500
tags 319817 -moreinfo
thanks

So consensus here is that
* current openmosix should be removed from unstable
* new openmosix should be uploaded to experimental
* NEW queue processing is fast enough you shouldn't worry about it

Right?

-- 
Nathanael Nerode  <neroden@twcny.rr.com>

A thousand reasons. http://www.thousandreasons.org/
Lies, theft, war, kidnapping, torture, rape, murder...
Get me out of this fascist nightmare!



Tags removed: moreinfo Request was from Nathanael Nerode <neroden@twcny.rr.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Micah Anderson <micah@riseup.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #41 received at 319817-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 319817-close@bugs.debian.org
Cc: openmosix@packages.debian.org, openmosix@packages.qa.debian.org
Subject: Bug#319817: fixed
Date: Thu, 12 Jan 2006 05:52:28 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

kernel-patch-openmosix |  1:0.3.4-7 | i386
    libmos |  1:0.3.4-7 | i386
libmos-dev |  1:0.3.4-7 | i386
 openmosix |  1:0.3.4-7 | source, i386

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 319817@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 16:27:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:43:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.